%define upstream_name    Config-INI
%define upstream_version 0.029

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    A subclassable .ini-file emitter
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::File)
BuildRequires: perl(Mixin::Linewise::Readers) >= 0.110.0
BuildRequires: perl(Mixin::Linewise::Writers)
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Config::INI::Reader is _yet another_ config module implementing _yet
another_ slightly different take on the undeniably easy to read the ".ini"
file format|Config::INI manpage. Its default behavior is quite similar to
that of the Config::Tiny manpage, on which it is based.

The chief difference is that Config::INI::Reader is designed to be
subclassed to allow for side-effects and self-reconfiguration to occur
during the course of reading its input.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 28 2025 umeabot <umeabot> 0.29.0-2.mga10
+ Revision: 2217431
- Mageia 10 Mass Rebuild

* Mon Jan 16 2023 tv <tv> 0.29.0-1.mga9
+ Revision: 1933727
- update to 0.029

* Mon Jan 02 2023 tv <tv> 0.28.0-1.mga9
+ Revision: 1928817
- update to 0.028

* Mon Mar 21 2022 umeabot <umeabot> 0.27.0-2.mga9
+ Revision: 1814708
- Mageia 9 Mass Rebuild

* Tue Jun 29 2021 tv <tv> 0.27.0-1.mga9
+ Revision: 1734228
- update to 0.027

* Wed Jun 23 2021 tv <tv> 0.26.0-1.mga9
+ Revision: 1731815
- update to 0.026

* Wed Feb 12 2020 umeabot <umeabot> 0.25.0-5.mga8
+ Revision: 1493567
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.25.0-4.mga7
+ Revision: 1266586
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.25.0-3.mga6
+ Revision: 1024296
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 0.25.0-2.mga6
+ Revision: 965768
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 sander85 <sander85> 0.25.0-1.mga6
+ Revision: 837158
- update to 0.025

* Sat Oct 18 2014 umeabot <umeabot> 0.24.0-4.mga5
+ Revision: 788225
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.24.0-3.mga5
+ Revision: 749047
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.24.0-2.mga5
+ Revision: 683981
- Mageia 5 Mass Rebuild

* Tue Apr 15 2014 jquelin <jquelin> 0.24.0-1.mga5
+ Revision: 614645
- update to 0.024

* Fri Mar 14 2014 jquelin <jquelin> 0.23.0-1.mga5
+ Revision: 603710
- update to 0.023

* Mon Feb 10 2014 jquelin <jquelin> 0.22.0-1.mga5
+ Revision: 588249
- update to 0.022

* Sat Oct 19 2013 umeabot <umeabot> 0.20.0-2.mga4
+ Revision: 529483
- Mageia 4 Mass Rebuild

* Tue Jul 09 2013 jquelin <jquelin> 0.20.0-1.mga4
+ Revision: 451939
- update to 0.020

* Sun Jan 13 2013 umeabot <umeabot> 0.19.0-2.mga3
+ Revision: 364639
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 kharec <kharec> 0.19.0-1.mga2
+ Revision: 182556
- update to 0.019

* Wed Jun 15 2011 jquelin <jquelin> 0.18.0-1.mga2
+ Revision: 106537
- update to 0.018

* Fri Jan 21 2011 jquelin <jquelin> 0.17.0-1.mga1
+ Revision: 28429
- mageia rebuild
- imported package perl-Config-INI

